{ config, ... }:
{
  services.kanshi = {
    enable = config.home.desktop.enable;
    settings = [
      {
        profile = {
          name = "primary";
          outputs = [
            {
              criteria = config.displays.tower1;
              position = "3840,405";
              mode = "1920x1080@143.979996Hz";
            }
            {
              criteria = config.displays.tower2;
              position = "1920,405";
            }
            {
              criteria = config.displays.tower3;
              position = "5760,0";
              transform = "90";
            }
            {
              criteria = config.displays.tower4;
              position = "0,405";
            }
          ];
        };
      }
      {
        profile = {
          name = "docked";
          outputs = [
            {
              criteria = "*";
              status = "enable";
            }
            {
              criteria = "eDP-1";
              status = "disable";
            }
          ];
        };
      }
      {
        profile = {
          name = "steam-deck";
          outputs = [
            {
              criteria = "Valve Corporation ANX7530 U 0x00000001";
              status = "enable";
              mode = "800x1280@59.99900";
              transform = "270";
              scale = 1.0;
            }
          ];
        };
      }
      {
        profile = {
          name = "undocked";
          outputs = [
            {
              criteria = "eDP-1";
              status = "enable";
            }
          ];
        };
      }
    ];
  };
}
