{ config, ... }:
{
  imports = [
    ./makotoggle
  ];

  services.mako = {
    enable = config.home.desktop.enable;
    borderColor = "#${config.look.colors.accent}";
    backgroundColor = "#${config.look.colors.dark}D9";
    sort = "+time";
    layer = "overlay";
    padding = "8";
    margin = "0";
    borderSize = config.look.border.int;
    maxIconSize = 40;
    defaultTimeout = 4500;
    font = "${config.look.fonts.main} 12";
    anchor = "bottom-right";
    extraConfig = ''
      on-button-right=dismiss-all
      outer-margin=10
      [mode=do-not-disturb]
      invisible=1
    '';
  };
}
